CognitiveX Docs
API

POST /api/senses/devices/{device_id}/heartbeat

Heartbeat

POST /api/senses/devices/{device_id}/heartbeat

Heartbeat

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
device_idpathstringYes-
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
statusobjectNoDefaults to {}.

Example request

curl -X POST https://api.cognitivx.io/api/senses/devices/{device_id}/heartbeat \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "status": {}
  }'

Example response

200 application/json

{}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.